Bug 61956 - NFS mounts at boot fail on pcmcia
NFS mounts at boot fail on pcmcia
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On: 61705
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-26 03:10 EST by Chris Ricker
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-05 10:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-26 03:10:50 EST
This is on a beta3 system with a grep patched so that ifup at boot time actually
works automatically (see #61705)....

I have a laptop with a couple of NFS mounts listed in /etc/fstab.  They fail
during bootup. Since the NFS mounting attempts are made before the DHCP lease
has been obtained, they error out attempting to connect to portmapper on the server.

The scripts need to be reordered so that network mounts occur after the network
is actually available.  Currently, NFS mounts are rc3/S25, while configuration
of PCMCIA interfaces is rc3/S45.  pcmcia needs to be moved to before S25....
Comment 1 Chris Ricker 2002-03-26 10:50:11 EST
It looks like this ordering also breaks ntpd and autofs
Comment 2 Arjan van de Ven 2002-03-28 06:43:02 EST
No matter where we put pcmcia-cs someone will complain. However your proposal
looks sane and is done for the next build
Comment 3 Chris Ricker 2002-04-04 11:54:58 EST
I'm reopening this.  It's still broken in both upgrades of beta3 -> beta4 (I
know, wet noodle flogging ;-) and in fresh beta4 installs
Comment 4 Arjan van de Ven 2002-04-05 09:27:18 EST
On a fresh install it's S24 here.........
Comment 5 Chris Ricker 2002-04-05 10:29:53 EST
It is on mine too, but that's actually not enough to solve the problem.  Here's
what we have in runlevel 3:

K15httpd       K65identd         S13portmap   S55sshd        S95atd
K15postgresql  K74ntpd           S14nfslock   S56rawdevices  S97rhnsd
K20nfs         K99microcode_ctl  S17keytable  S56xinetd      S99cups
K20rwhod       S05kudzu          S20random    S80postfix     S99local
K35smb         S08ipchains       S24pcmcia    S85gpm
K35vncserver   S08iptables       S25netfs     S90crond
K45smartd      S10network        S26apmd      S90xfs
K50snmpd       S12syslog         S28autofs    S95anacron

NFS mounts at boot fail even with this ordering.  The error that occurs when S25
runs is an RPC error from portmap ("unable to send").

My guess is that S24pcmcia starts cardmgr and exits.  Then S25 starts, and while
cardmgr is triggering its DHCP request and such, S25netfs runs and fails to
mount b/c the network hasn't finished configuring yet?

Moving S24pcmcia to S11pcmcia fixes it for me.  That's probably the correct
location (at least for this problem, though it may cause new ones ;-), since
people might be doing remote syslog....  Moving it from S24 to S11 does,
however, add a new error when cardmgr runs:

file './config.opts' line 8:  no function bindings

I'm not sure why that's appearing at S11, but not at S24?  It seems harmless,
since everything works anyway.  Other than that, moving it to S11 fixes
everything for me.
Comment 6 Chris Ricker 2002-05-05 11:48:09 EDT
7.3 gold fixes this

Note You need to log in before you can comment on or make changes to this bug.